Package fr.gouv.vitam.antivirus.client

# Class AntivirusClientFactory

java.lang.Object
fr.gouv.vitam.antivirus.client.AntivirusClientFactory

public class AntivirusClientFactory extends Object
Factory to get antivirus client instances.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ApiClient`
  `apiClient`
  `protected ClientConfiguration`
  `clientConfiguration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntivirusClientFactory()`
  `AntivirusClientFactory(ClientConfiguration configuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeMode(SecureClientConfiguration configuration)`
  `static void`
  `changeMode(String configurationFile)`
  `void`
  `changeServerPort(int port)`
  `AntivirusApi`
  `getAntivirusApi()`
  Get the Antivirus client
  `protected ApiClient`
  `getApiClient()`
  Get the Api Client (for tests)
  `static AntivirusClientFactory`
  `getInstance()`
  Get the AntivirusClientFactory instance

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### clientConfiguration

    protected ClientConfiguration clientConfiguration

  - ### apiClient

    protected ApiClient apiClient

- ## Constructor Details

  - ### AntivirusClientFactory

    public AntivirusClientFactory()

  - ### AntivirusClientFactory

    public AntivirusClientFactory(ClientConfiguration configuration)

- ## Method Details

  - ### getAntivirusApi

    public AntivirusApi getAntivirusApi()
    Get the Antivirus client

  - ### getInstance

    public static AntivirusClientFactory getInstance()
    Get the AntivirusClientFactory instance
    Returns:
      the instance

  - ### changeMode

    public static void changeMode(SecureClientConfiguration configuration)

  - ### changeMode

    public static void changeMode(String configurationFile)

  - ### changeServerPort

    public void changeServerPort(int port)

  - ### getApiClient

    protected ApiClient getApiClient()
    Get the Api Client (for tests)